<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <style>
      html,
      body {
        margin: 0;
        height: 100%;
        background-color: #808080;
      }
      .container {
        display: flex;
        justify-content: space-around;
        padding-top: 30px;
      }

      input {
        display: block;
        margin-bottom: 10px;
        margin-top: 2px;
        background-color: rgb(189, 136, 38);
      }
      form {
        position: absolute;
      }
      img {
        display: none;
      }
      #canvas {
        display: none !important;
      }
    </style>
    <title>Exercice 1, 2, 4</title>
  </head>
  <body>
    <div class="container">
      <div class="video-wrapper">
        <iframe
          id="iframe"
          width="360"
          height="640"
          src="./creativeFullscreen/publicite.html"
          name="iframe"
          frameborder="0"
          scrolling="no"
        ></iframe>
      </div>
      <div class="form">
        <h2>Générer un créative fullscreen</h2>
        <form action="#" class="form">
          <label for="largeur">Largeur</label>
          <input type="number" id="largeur" value="" />
          <label for="hauteur">Hauteur</label>
          <input type="number" id="hauteur" />
          <label for="url">Vidéo</label>
          <input type="file" id="input" />
        </form>
      </div>
    </div>

    <script>
      // Régler la largeur de l'iframe
      function setWidth(width) {
        let iframe = document.getElementById("iframe");
        iframe.width = width;
      }

      // Régler la hauteur de l'iframe
      function setHeight(height) {
        let iframe = document.getElementById("iframe");
        iframe.height = height;
      }

      // Envoyer l'url à l'iframe
      function sendUrl(src) {
        let endpoint = "./creativeFullscreen/publicite.html";
        let iframe = document.getElementById("iframe");
        let adsUrl = endpoint + "?url=" + src;
        iframe.src = adsUrl;
      }

      // Récupérer la valeur de la largeur
      function handleWidthChange() {
        let largeur = document.getElementById("largeur");
        largeur.onchange = (e) => {
          let width = e.target.value;
          setWidth(width);
        };
      }

      // Récupérer la valeur de la hauteur
      function handleHeightChange() {
        let hauteur = document.getElementById("hauteur");
        hauteur.onchange = (e) => {
          let height = e.target.value;
          setHeight(height);
        };
      }

      // Récupérer l'url
      function handleUrlChange() {
        let fileInput = document.getElementById("input");
        fileInput.onchange = (e) => {
          let src = fileInput.files[0].name;
          sendUrl(src);
        };
      }

      handleWidthChange();
      handleHeightChange();
      handleUrlChange();
    </script>
    <script src="./creativeFullscreen/creativeFullscreen.js"></script>
  </body>
</html>
